<!--
// © University of Southampton IT Innovation Centre, 2017
//
// Copyright in this software belongs to University of Southampton
// IT Innovation Centre of Gamma House, Enterprise Road, 
// Chilworth Science Park, Southampton, SO16 7NS, UK.
//
// This software may not be used, sold, licensed, transferred, copied
// or reproduced in whole or in part in any manner or form or in or
// on any media by any person other than in accordance with the terms
// of the Licence Agreement supplied with the software, or otherwise
// without the prior written consent of the copyright owners.
//
// This software is distributed WITHOUT ANY WARRANTY, without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE, except where stated in the Licence Agreement supplied with
// the software.
//
//      Created By :            Michael Boniface
//      Created Date :          18-12-2017
//      Created for Project :   FLAME
-->

# FLAME Cross Layer Management and Control
#### Version: 1.0.0

### About this document

#### Authors

|Authors|Organisation|                    
|-|-|
|[Michael Boniface](mailto:mjb@it-innovation.soton.ac.uk)|[University of Southampton, IT Innovation Centre](http://www.it-innovation.soton.ac.uk)|
|[Simon Crowle](mailto:sgc@it-innovation.soton.ac.uk)|[University of Southampton, IT Innovation Centre](http://www.it-innovation.soton.ac.uk)|

## Deployment

### Create VM

First:

`vagrant up`

This will create a single VM with LXC installed and configured with lxcbr0 configured for the network 172.40.231.0/24.

### Create containers

SSH into the VM:

`vagrant ssh`

The containers are controlled using a script called `/vagrant/scripts/test/fixtures.sh`

```
Usage: fixture.sh create|start|stop|destroy [-f config_file] [-r repo_root] [-c service_name]"
```

To create all the services needed for the workshop:

```
sudo su
/vagrant/scripts/test/fixture.sh create -f /vagrant/src/test/clmctest/rspec.json
```

The containers created are defined an rspec.json file, there's an example here `/vagrant/src/test/clmctest/rspec.json`

The `fixtures.sh` script defaults to look for a rspec.json in the current directory, you can specify a specific rspec.json file using the -f option

To create|start|stop|destroy specific services use the -c option e.g.

```
/vagrant/scripts/test/fixture.sh create -f /vagrant/src/test/clmctest/rspec.json -c clmc-service
```

### Forward ports to host

Set up your NAT port forwarding on VirtualBox to see these services in Windows:

* Chronograf
  * Port: 8888
* 2 NGINX installations (`nginx_1_ep1` and `nginx_1_ep2`)
  * Ports: 9180 and 9181
* 2 MINIO installations (`minio_1_ep1` and `minio_1_ep2`)
  * Ports: 9182 and 9183

Once you’ve NATted, you should be able to:

* Browse into Chronograf
  * See Influx metrics for nginx and minio services 1 & 2
  * Database is called `MSDemo`
* Browse to Nginx 1 and 2
* Browse to Minio 1 and 2
  * Access key: F2H4IJ5SITH4C85LAVZL
  * Secret key: RiI7f6b9KMKwo+rSuOkzUa13+2dFA7oMyaTqgF/q
