#!/bin/bash
#/////////////////////////////////////////////////////////////////////////
#//
#// (c) University of Southampton IT Innovation Centre, 2017
#//
#// Copyright in this software belongs to University of Southampton
#// IT Innovation Centre of Gamma House, Enterprise Road,
#// Chilworth Science Park, Southampton, SO16 7NS, UK.
#//
#// This software may not be used, sold, licensed, transferred, copied
#// or reproduced in whole or in part in any manner or form or in or
#// on any media by any person other than in accordance with the terms
#// of the Licence Agreement supplied with the software, or otherwise
#// without the prior written consent of the copyright owners.
#//
#// This software is distributed WITHOUT ANY WARRANTY, without even the
#// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#// PURPOSE, except where stated in the Licence Agreement supplied with
#// the software.
#//
#//      Created By :            Simon Crowle
#//      Created Date :          05/06/2018
#//      Created for Project :   FLAME
#//
#/////////////////////////////////////////////////////////////////////////

cd `dirname $0`

## Run from Vagrant host
### Prerequisites
apt-get install -y unzip

# Mini NGINX demonstration



# NGINX/MINIO demonstration
mkdir -p /tmp/demoSetup
cp * /tmp/demoSetup
cd /tmp/demoSetup

# Install Minio client
wget https://dl.minio.io/client/mc/release/linux-amd64/mc
chmod +x mc

# Connect to minio servers
./mc config host add minioOne http://172.40.231.153:9000 F2H4IJ5SITH4C85LAVZL RiI7f6b9KMKwo+rSuOkzUa13+2dFA7oMyaTqgF/q
./mc config host add minioTwo http://172.40.231.154:9000 F2H4IJ5SITH4C85LAVZL RiI7f6b9KMKwo+rSuOkzUa13+2dFA7oMyaTqgF/q

# Create buckets and policies
./mc mb minioOne/democontent
./mc mb minioTwo/democontent

./mc policy download minioOne/democontent
./mc policy download minioTwo/democontent

# Pull demo content
# FLAME video is corrupted; needs re-encoding
#curl "ftp://ftp.it-innovation.soton.ac.uk/testdata/video/20180210-flame-project-video.zip" --user flame-rw:DR8ngj3ogSjd8gl -o democontent.zip

# Let's watch "Grandad goes shopping" instead
curl "ftp://ftp.it-innovation.soton.ac.uk/testdata/video/mpegdashsample.zip" --user flame-rw:DR8ngj3ogSjd8gl -o democontent.zip
unzip democontent.zip

# Copy content across to minio servers
./mc cp -r mpegdash/ minioOne/democontent
./mc cp -r mpegdash/ minioTwo/democontent

# Update NGINX servers
cp ./nginx1.conf /var/lib/lxc/host1/rootfs/etc/nginx/nginx.conf
lxc-attach -n host1 -- systemctl restart nginx

cp ./nginx2.conf /var/lib/lxc/host3/rootfs/etc/nginx/nginx.conf
lxc-attach -n host3 -- systemctl restart nginx

echo "Demo initialisation completed"




