#!/bin/bash
#/////////////////////////////////////////////////////////////////////////
#//
#// (c) University of Southampton IT Innovation Centre, 2017
#//
#// Copyright in this software belongs to University of Southampton
#// IT Innovation Centre of Gamma House, Enterprise Road,
#// Chilworth Science Park, Southampton, SO16 7NS, UK.
#//
#// This software may not be used, sold, licensed, transferred, copied
#// or reproduced in whole or in part in any manner or form or in or
#// on any media by any person other than in accordance with the terms
#// of the Licence Agreement supplied with the software, or otherwise
#// without the prior written consent of the copyright owners.
#//
#// This software is distributed WITHOUT ANY WARRANTY, without even the
#// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#// PURPOSE, except where stated in the Licence Agreement supplied with
#// the software.
#//
#//      Created By :            Simon Crowle
#//      Created Date :          07/06/2018
#//      Created for Project :   FLAME
#//
#/////////////////////////////////////////////////////////////////////////

# Instantiate an NGINX container (host1)
/vagrant/scripts/test/fixture.sh create -f /vagrant/src/test/clmctest/rspec.json -c host1

# Uninstall TELEGRAF and clean up
lxc-attach -n host1 -- service telegraf stop
lxc-attach -n host1 -- dpkg -r telegraf
lxc-attach -n host1 -- rm -rf /etc/telegraf

# Copy in demonstration resources and TELEGRAF configuration (ready for editing)
lxc-attach -n host1 -- mkdir -p /tmp/telegraf
cp resources/installTelegraf.sh /var/lib/lxc/host1/rootfs/tmp/
cp -r telegrafConfigs/* /var/lib/lxc/host1/rootfs/tmp/telegraf

# Add REPORC for accessing our Telegraf.deb
cp /vagrant/reporc /var/lib/lxc/host1/rootfs/tmp/

# Drop MSDemo database on CLMC so that it is empty of other hosts
# N.B. it will be created again automatically as soon as any host pushes data to it
lxc-attach -n clmc-service -- influx -execute 'drop database MSDemo'